const state = {
    banks: [],
    selectedBank: null,
    bankOperationNumber: null,
    bankDueDate: null,
    accountBankNumber: null,
    holderBankName: null
}

const getters = {
    /**
     * 
     * @param {*} state 
     */
    banks(state) {
        return state.banks
    },
    /**
     * 
     * @param {*} state 
     */
    selectedBank(state) {
        return state.selectedBank
    },
    /**
     * 
     * @param {*} state 
     */
    bankOperationNumber(state) {
        return state.bankOperationNumber
    },
    /**
     * 
     * @param {*} state 
     */
    bankDueDate(state) {
        return state.dueDate
    },
    /**
     * 
     * @param {*} state 
     */
    accountBankNumber(state) {
        return state.accountBankNumber
    },
    /**
     * 
     * @param {*} state 
     */
    holderBankName(state) {
        return state.holderBankName
    }
}

const mutations = {
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setBanks (state, payload) {
        state.banks = payload
    },
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setSelectedBank(state, payload) {
        state.selectedBank = payload
    },
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setBankOperationNumber(state, payload) {
        state.bankOperationNumber = payload
    },
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setBankDueDate(state, payload) {
        state.bankDueDate = payload
    },
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setAccountBankNumber(state, payload) {
        state.accountBankNumber = payload
    },
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setHolderBankName(state, payload) {
        state.holderBankName = payload
    }
}

const actions = {
    /**
     * 
     * @param {*} param0 
     * @param {*} payload 
     */
    initBanks ({ commit}, payload) {
        commit('setBanks', payload)
    },
    /**
     * 
     * @param {*} param0 
     */
    resetBanks ({ commit }) {

    }
}

export default {
    state,
    getters,
    actions,
    mutations
}