const state = {
    bankPaymentTypes: [],
    selectedBankPaymentType: null
}

const getters = {
    /**
     * 
     * @param {*} state 
     */
    bankPaymentTypes (state) {
        return state.bankPaymentTypes
    },
    /**
     * 
     * @param {*} state 
     */
    selectedBankPaymentType (state) {
        return state.selectedBankPaymentType
    }
}

const mutations = {
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setBankPaymentTypes (state, payload) {
        state.bankPaymentTypes = payload
    },
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setSelectedBankPaymentType (state, payload) {
        state.selectedBankPaymentType = payload
    }

}

const actions = {
    /**
     * 
     * @param {*} param0 
     * @param {*} payload 
     */
    initBankPaymentTypes ({ commit }, payload) {
        commit('setBankPaymentTypes', payload)
    },
    /**
     * 
     * @param {*} param0 
     */
    resetBankPaymentTypes ({ commit }) {

    }
}

export default {
    state,
    getters,
    actions,
    mutations
}